%define api		1.0
%define major		0
%define girmajor	1.0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{girmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

%global __requires_exclude	devel\\(libmozjs-*

Summary:	JavaScript bindings based on gobject-introspection
Name:		gjs
Version:	1.56.2
%define subrel 1
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	BSD
Group:		Development/Other
Url:		https://wiki.gnome.org/Gjs
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.18.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.41.4
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(mozjs-60)
BuildRequires:	readline-devel

%description
This package contains JavaScript bindings based on gobject-introspection.

%package common
Group:		System/Libraries
Summary:	JavaScript bindings based on gobject-introspection
Requires:	%{name}-common = %{version}-%{release}

%description common
This package contains JavaScript bindings based on gobject-introspection.

%package -n %{libname}
Group:		System/Libraries
Summary:	JavaScript bindings based on gobject-introspection
Requires:	%{name}-common = %{version}-%{release}

%description -n %{libname}
This package contains JavaScript bindings based on gobject-introspection.

%package -n %{develname}
Group:		Development/C
Summary:	JavaScript bindings based on gobject-introspection
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains JavaScript bindings based on gobject-introspection.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
# ovitters HACK
%if "%{version}" == "1.51.91"
./autogen.sh
%endif

%configure2_5x \
	--disable-static \
	--with-gtk
%make_build V=1

%install
%make_install

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%files
%doc README COPYING NEWS
%{_bindir}/gjs
%{_bindir}/gjs-console

%files common
%{_datadir}/%{name}-%{api}

%files -n %{libname}
%{_libdir}/libgjs.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/gjs/girepository-1.0/GjsPrivate-%{girmajor}.typelib

%files -n %{develname}
%{_libdir}/libgjs.so
%{_libdir}/pkgconfig/gjs-%{api}.pc
%{_includedir}/gjs-%{api}


%changelog
* Sun Dec 29 2019 ns80 <ns80> 1.56.2-1.1.mga7
+ Revision: 1474744
- rebuild against mozjs60 60.9.0 (mga#25910)

* Wed May 08 2019 tmb <tmb> 1.56.2-1.mga7
+ Revision: 1396773
- update to 1.56.2

* Mon Apr 08 2019 ovitters <ovitters> 1.56.1-1.mga7
+ Revision: 1386741
- new version 1.56.1

* Tue Mar 12 2019 ovitters <ovitters> 1.56.0-1.mga7
+ Revision: 1374484
- new version 1.56.0

* Thu Mar 07 2019 ovitters <ovitters> 1.55.92-1.mga7
+ Revision: 1372537
- new version 1.55.92

* Tue Jan 01 2019 daviddavid <daviddavid> 1.54.3-2.mga7
+ Revision: 1348126
- rebuilt against mozjs60 60.4.0 that broke ABI

* Mon Nov 12 2018 ovitters <ovitters> 1.54.3-1.mga7
+ Revision: 1329671
- new version 1.54.3

* Mon Oct 22 2018 ovitters <ovitters> 1.54.2-1.mga7
+ Revision: 1323664
- new version 1.54.2

* Mon Sep 24 2018 ovitters <ovitters> 1.54.1-1.mga7
+ Revision: 1303166
- new version 1.54.1

* Fri Sep 07 2018 tv <tv> 1.54.0-1.mga7
+ Revision: 1257656
- BR pkgconfig(mozjs-60)
+ ovitters <ovitters>
- new version 1.54.0
- new version 1.53.92
- new version 1.53.91
- dropped merged patch object-Define-GObject-properties-as-configurable.patch

* Wed Aug 15 2018 blino <blino> 1.53.4-2.mga7
+ Revision: 1251644
- add upstream patch to fix gnome-shell crash (can't redefine non-configurable property "window")
- revert to 1.53.4, since 1.53.90 requires mozjs60 which is not ready yet
+ ovitters <ovitters>
- new version 1.53.90

* Tue Jul 17 2018 ovitters <ovitters> 1.53.4-1.mga7
+ Revision: 1243910
- new version 1.53.4

* Tue Jun 19 2018 ovitters <ovitters> 1.53.3-1.mga7
+ Revision: 1237946
- new version 1.53.3

* Tue May 22 2018 ovitters <ovitters> 1.53.2-1.mga7
+ Revision: 1231708
- new version 1.53.2

* Sun May 06 2018 ovitters <ovitters> 1.52.3-1.mga7
+ Revision: 1226876
- new version 1.52.3

* Wed Apr 18 2018 ovitters <ovitters> 1.52.2-1.mga7
+ Revision: 1219806
- new version 1.52.2

* Tue Apr 10 2018 ovitters <ovitters> 1.52.1-1.mga7
+ Revision: 1216922
- new version 1.52.1
+ kekepower <kekepower>
- Use new make macros

* Tue Mar 13 2018 ovitters <ovitters> 1.52.0-1.mga7
+ Revision: 1208851
- new version 1.52.0

* Fri Mar 09 2018 ovitters <ovitters> 1.51.92-1.mga7
+ Revision: 1207603
- new version 1.51.92
- dropped merged patch f21bb0ac113f46c743723ccfc981181f7dc5b4de.diff

* Tue Feb 27 2018 ovitters <ovitters> 1.51.91-1.mga7
+ Revision: 1205592
- add patch to fix build
- new version 1.51.91

* Sat Jan 27 2018 ovitters <ovitters> 1.50.4-1.mga7
+ Revision: 1197450
- new version 1.50.4

* Thu Jan 18 2018 ovitters <ovitters> 1.50.3-1.mga7
+ Revision: 1194329
- new version 1.50.3

* Tue Oct 31 2017 ovitters <ovitters> 1.50.2-1.mga7
+ Revision: 1175161
- new version 1.50.2

* Tue Oct 03 2017 ovitters <ovitters> 1.50.1-1.mga7
+ Revision: 1166120
- new version 1.50.1

* Sat Sep 23 2017 tv <tv> 1.50.0-1.mga7
+ Revision: 1157799
- bump needed mozjs
- new release

* Fri Sep 08 2017 ovitters <ovitters> 1.48.7-1.mga7
+ Revision: 1151841
- new version 1.48.7

* Fri Jul 28 2017 ovitters <ovitters> 1.48.6-1.mga7
+ Revision: 1131593
- new version 1.48.6

* Wed Jun 21 2017 ovitters <ovitters> 1.48.5-1.mga6
+ Revision: 1108139
- new version 1.48.5

* Sat Jun 17 2017 ovitters <ovitters> 1.48.4-1.mga6
+ Revision: 1107841
- new version 1.48.4

* Sat May 06 2017 ovitters <ovitters> 1.48.3-1.mga6
+ Revision: 1099242
- new version 1.48.3

* Thu Apr 20 2017 ovitters <ovitters> 1.48.2-1.mga6
+ Revision: 1096970
- new version 1.48.2

* Mon Apr 10 2017 ovitters <ovitters> 1.48.1-1.mga6
+ Revision: 1096227
- new version 1.48.1

* Wed Apr 05 2017 neoclust <neoclust> 1.48.0-3.mga6
+ Revision: 1095940
- Rebuild for armv7

* Wed Mar 22 2017 ovitters <ovitters> 1.48.0-2.mga6
+ Revision: 1094524
- bump rel to try and get gnome-shell to build

* Wed Mar 22 2017 ovitters <ovitters> 1.48.0-1.mga6
+ Revision: 1094511
- new version 1.48.0

* Mon Sep 26 2016 tv <tv> 1.46.0-2.mga6
+ Revision: 1056833
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Tue Sep 20 2016 ovitters <ovitters> 1.46.0-1.mga6
+ Revision: 1054759
- new version 1.46.0

* Sun Sep 18 2016 ovitters <ovitters> 1.45.4-1.mga6
+ Revision: 1053783
- new version 1.45.4

* Sat Dec 19 2015 ovitters <ovitters> 1.45.3-1.mga6
+ Revision: 911881
- new version 1.45.3

* Tue Oct 27 2015 ovitters <ovitters> 1.44.0-1.mga6
+ Revision: 895902
- new version 1.44.0

* Mon Aug 31 2015 ovitters <ovitters> 1.43.3-2.mga6
+ Revision: 871592
- gjs-devel should require gjs

* Sun Jun 21 2015 ovitters <ovitters> 1.43.3-1.mga6
+ Revision: 838292
- new version 1.43.3

* Wed Oct 15 2014 umeabot <umeabot> 1.42.0-2.mga5
+ Revision: 740289
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 ovitters <ovitters> 1.42.0-1.mga5
+ Revision: 731626
- new version 1.42.0

* Sun Sep 28 2014 tv <tv> 1.41.91-3.mga5
+ Revision: 731140
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 1.41.91-2.mga5
+ Revision: 679599
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Mon Sep 01 2014 ovitters <ovitters> 1.41.91-1.mga5
+ Revision: 670776
- new version 1.41.91

* Tue Jul 22 2014 ovitters <ovitters> 1.41.4-1.mga5
+ Revision: 655563
- new version 1.41.4

* Wed Jun 25 2014 ovitters <ovitters> 1.41.3-1.mga5
+ Revision: 639727
- new version 1.41.3

* Mon Apr 14 2014 ovitters <ovitters> 1.40.1-1.mga5
+ Revision: 614239
- new version 1.40.1

* Tue Mar 25 2014 ovitters <ovitters> 1.40.0-1.mga5
+ Revision: 608574
- new version 1.40.0

* Tue Mar 04 2014 ovitters <ovitters> 1.39.91-1.mga5
+ Revision: 599526
- new version 1.39.91

* Wed Feb 19 2014 ovitters <ovitters> 1.39.90-1.mga5
+ Revision: 594803
- new version 1.39.90

* Thu Feb 06 2014 ovitters <ovitters> 1.39.3-2.mga5
+ Revision: 583990
- add requires exception for mozjs

* Wed Feb 05 2014 ovitters <ovitters> 1.39.3-1.mga5
+ Revision: 583166
- new version 1.39.3

* Sat Nov 09 2013 ovitters <ovitters> 1.38.1-3.mga4
+ Revision: 550154
- fix url

* Mon Oct 21 2013 umeabot <umeabot> 1.38.1-2.mga4
+ Revision: 536933
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 ovitters <ovitters> 1.38.1-1.mga4
+ Revision: 485940
- new version 1.38.1

* Tue Sep 24 2013 ovitters <ovitters> 1.38.0-1.mga4
+ Revision: 485359
- new version 1.38.0

* Tue Aug 20 2013 ovitters <ovitters> 1.37.6-1.mga4
+ Revision: 468516
- new version 1.37.6

* Mon Jul 29 2013 neoclust <neoclust> 1.37.4-2.mga4
+ Revision: 460538
- Remove wrong requires from autogen requires

* Mon Jul 29 2013 dams <dams> 1.37.4-1.mga4
+ Revision: 460191
- adds 'readline-devel' as BR
- updates %%configure options
- updates %%files
- update %%configure options
- fix BR for mozjs17
- new version 1.37.4
- replace libjs by mozjs

* Sat May 25 2013 ovitters <ovitters> 1.36.1-1.mga4
+ Revision: 427341
- update file list
- fix br
- new version 1.36.1

* Sat Jan 12 2013 umeabot <umeabot> 1.34.0-2.mga3
+ Revision: 351655
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 ovitters <ovitters> 1.34.0-1.mga3
+ Revision: 297192
- new version 1.34.0

* Tue Sep 18 2012 ovitters <ovitters> 1.33.14-1.mga3
+ Revision: 296001
- new version 1.33.14

* Tue Sep 04 2012 ovitters <ovitters> 1.33.10-1.mga3
+ Revision: 288129
- new version 1.33.10

* Mon Aug 20 2012 ovitters <ovitters> 1.33.9-1.mga3
+ Revision: 282584
- new version 1.33.9

* Mon Aug 06 2012 luigiwalser <luigiwalser> 1.33.4-2.mga3
+ Revision: 278980
- rebuild for libffi

* Mon Jul 16 2012 ovitters <ovitters> 1.33.4-1.mga3
+ Revision: 271438
- drop merged patch
- new version 1.33.4

* Fri Jun 29 2012 ovitters <ovitters> 1.33.3-1.mga3
+ Revision: 264797
- update file list
- add test patch from upstream to fix linking
- new version 1.33.3

* Tue Mar 27 2012 ovitters <ovitters> 1.32.0-1.mga2
+ Revision: 227149
- new version 1.32.0

* Wed Mar 21 2012 ovitters <ovitters> 1.31.22-1.mga2
+ Revision: 225206
- new version 1.31.22

* Mon Mar 05 2012 wally <wally> 1.31.20-1.mga2
+ Revision: 219106
- new version 1.31.20

* Fri Jan 20 2012 fwang <fwang> 1.31.10-1.mga2
+ Revision: 198597
- update file list
- update file list
- new version 1.31.10

* Tue Dec 20 2011 wally <wally> 1.31.6-1.mga2
+ Revision: 184990
- new version 1.31.6
- clean .spec a bit

* Sun Nov 27 2011 wally <wally> 1.31.0-3.mga2
+ Revision: 172760
- rebuild for new xulrunner

* Fri Nov 11 2011 fwang <fwang> 1.31.0-2.mga2
+ Revision: 166470
- rebuild for new xulrunner

* Fri Oct 28 2011 wally <wally> 1.31.0-1.mga2
+ Revision: 159198
- new version 1.31.0

* Fri Sep 30 2011 fwang <fwang> 1.30.0-3.mga2
+ Revision: 150438
- rebuild for new xulrunner

* Tue Sep 27 2011 ovitters <ovitters> 1.30.0-2.mga2
+ Revision: 149563
- new version 1.30.0

* Tue Sep 27 2011 fwang <fwang> 1.29.18-2.mga2
+ Revision: 149256
- rebuild for new xulrunner

* Wed Sep 21 2011 wally <wally> 1.29.18-1.mga2
+ Revision: 146491
- add patch to fix build
- new version 1.29.18

* Mon Sep 05 2011 fwang <fwang> 1.29.17-3.mga2
+ Revision: 138565
- rebuild for new xulrunner

* Wed Aug 31 2011 fwang <fwang> 1.29.17-2.mga2
+ Revision: 136989
- rebuild for new xulrunner

* Tue Aug 30 2011 fwang <fwang> 1.29.17-1.mga2
+ Revision: 136333
- new version 1.29.17
- rebuild for new xulrunner
+ wally <wally>
- new version 1.29.16
- change BRs to pkgconfig style if possible
- clean .spec a bit
- new version 1.29.15
- add a subpackage for gir .typelib
- use configure2_5x macro
- clean .spec a bit

* Wed Jul 13 2011 fwang <fwang> 1.29.0-3.mga2
+ Revision: 123541
- rebuild for new xulrunner

* Fri Jun 24 2011 fwang <fwang> 1.29.0-2.mga2
+ Revision: 113046
- rebuild for new xulrunner

* Tue Jun 21 2011 dmorgan <dmorgan> 1.29.0-1.mga2
+ Revision: 111667
- New version 1.29.0
  Remove .la files
- Simplify spec file
  Rebuild against new xulrunner

* Sat Apr 30 2011 ahmad <ahmad> 0.7.14-2.mga1
+ Revision: 93754
- rebuild for xulrunner-2.0.1

* Wed Apr 20 2011 pterjan <pterjan> 0.7.14-1.mga1
+ Revision: 89161
- Update to 0.7.14

* Sun Mar 27 2011 ahmad <ahmad> 0.7.13-4.mga1
+ Revision: 78095
- sync with Mandriva:
  o drop format-strings patch, BR libreadline-devel fixes the issue
  o add a linking patch

* Thu Mar 24 2011 boklm <boklm> 0.7.13-3.mga1
+ Revision: 76143
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 0.7.13-2.mga1
+ Revision: 72645
- add the string format patch back, it fails to build on the BS even though it
  builds locally without that patch...
- update to 0.7.13
- drop patch, compiles ok without it
- bump BR gobject-introspection-devel version
+ tv <tv>
- rebuild for new gir
+ ennael <ennael>
- imported package gjs

